xlaoyu's inception Front-end Dev Engineer

mac升级导致git不可用

2017-11-15
xlaoyu
 

昨晚升级了 mac 系统到10.13.1 High Sierra,重启后进入命令行,输入git命令,会出现

xcrun: error: invalid active developer path
 (/Library/Developer/CommandLineTools), missing xcrun at:
 /Library/Developer/CommandLineTools/usr/bin/xcrun

一脸懵逼,谷歌之后发现好像每次系统升级都可能会出现这个问题,在这里记录一下

解决方法

xcode-select --install

参考链接 http://www.ttlsa.com/linux/mac-git-xcrun-error-invalid-active-developer-path/ https://stackoverflow.com/questions/32893412/command-line-tools-not-working-os-x-el-capitan-macos-sierra-macos-high-sierra/32894314#32894314 https://apple.stackexchange.com/questions/254380/macos-sierra-invalid-active-developer-path


版权声明:原创文章,如需转载,请注明出处“本文首发于xlaoyu.info


Similar Posts

下一篇 gitの月光宝盒

Comments